EDIT - bug #5823

Fehler beim parallel Editieren von Referenzen
05/23/2016 12:54 PM - Andreas Mdller

Status: Worksforme Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: major Found in Version:

Description
split of #5694

More general ticket can be found here: #5980
Hallo, hier noch ein solcher Fall, aber diesmal ohne den Edit View parallel aufzumachen.
Ich habe folgenden Eintrag in der Namensliste im Bulk Editor gefunden:

Im Detail war der Cache geschutzt, die anderen Angaben eingetragen und sahen ok aus. Ich habe den Cache entblockt und Save,
das gab dann folgenden Error:

login : w.berendsohn
editor version : 4.0.0
server : api.cybertaxonomy.org / cybertaxonomy.org
schema version : 4.0.0.0.201604200000
os : Windows 7 6.1 amdé64
java : 1.7.0_75
java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxonomy.cdm.mod
el.name.BotanicalName#788] are being merged. Detached: [Dipteranthemum F.Muell.]; Detached: [Dipte
ranthemum F.Muell.]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (En
tityCopyNotAllowedObserver. java:37)

at org.hibernate.event.internal.MergeContext.put (MergeContext. java:245)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (Default
MergeEventListener. java:304)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEven
tListener.java:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMe
rgeEventListener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (Default
MergeEventListener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEven
tListener.java:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:43

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:363)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:326)
at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMe
rgeEventListener. java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (Default
MergeEventListener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEven
tListener. java:170)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEven
tListener.java:69)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:840)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:822)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:827)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.merge (CdmEnt
ityDaoBase. java:255)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:200)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:36)

at sun.reflect.GeneratedMethodAccessor65522.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtil
s.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Re
flectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (Trans
actionInterceptor.java:110)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.S$Proxyl666.merge (Unknown Source)

at sun.reflect.GeneratedMethodAccessor65522.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtil
s.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Re
flectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (Re
moteInvocationTraceInterceptor. java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.S$Proxyl954.merge (Unknown Source)

at sun.reflect.GeneratedMethodAccessor88361.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. j
ava:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (Def
aultRemoteInvocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (Remot
eInvocationBasedExporter.java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCre
ateResult (RemoteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleReque
st (HttpInvokerServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpReques
tHandlerAdapter. java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.
oFilterInternal (BasicAuthenticationFilter.java:213)
er.java:107)
onFilter.doFilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilt
er.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFil
ter (SecurityContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy. java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainP
roxy.java:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy. jav
a:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingF
ilterProxy.java:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterP
roxy.java:262)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. ja
va:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (Charact
erEncodingFilter. java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilt
er.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. ja

va:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:22
3)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler.java:11l
27)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185
)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:106
i)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandler
Collection.java:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:745)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTra
celfPossible (RemotelInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemotelInvo
cationResult.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemo
teInvocationResult (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.S$SProxy55.merge (Unknown Source)

at eu.etaxonomy.taxeditor.bulkeditor.input.NameEditorInput.save (NameEditorInput. ja
va:122)

at eu.etaxonomy.taxeditor.bulkeditor.input.NameEditorInput.save (NameEditorInput. ja
va:l)

at eu.etaxonomy.taxeditor.annotatedlineeditor.AnnotatedLineDocumentProvider.doSave
Document (AnnotatedLineDocumentProvider. java:240)

at org.eclipse.uil.texteditor.AbstractDocumentProvider$l$SaveOperation.execute (Abst
ractDocumentProvider. java:610)

at org.eclipse.uil.texteditor.AbstractDocumentProvider$DocumentProviderOperation.ru
n (AbstractDocumentProvider. java:74)

at org.eclipse.ui.texteditor.AbstractDocumentProvider.executeOperation (AbstractDoc
umentProvider. java:553)

at org.eclipse.ui.texteditor.AbstractDocumentProvider.saveDocument (AbstractDocumen
tProvider. java:629)

at org.eclipse.ui.texteditor.AbstractTextEditor.performSave (AbstractTextEditor. jav
a:5048)

at org.eclipse.ui.texteditor.AbstractTextEditor.doSave (AbstractTextEditor.java:483
)

at eu.etaxonomy.taxeditor.annotatedlineeditor.AnnotatedLineEditor.doSave (Annotated
LineEditor. java:248)

at eu.etaxonomy.taxeditor.bulkeditor.BulkEditor.doSave (BulkEditor.java:244)

at org.eclipse.uil.texteditor.AbstractTextEditor$TextEditorSavable.doSave (AbstractT
extEditor.java:7177)

at org.eclipse.ui.Saveable.doSave (Saveable.java:214)

at org.eclipse.ui.internal.SaveableHelper.doSaveModel (SaveableHelper. java:349)

at org.eclipse.ui.internal.SaveableHelper$3.run (SaveableHelper. java:195)

at org.eclipse.ui.internal.SaveableHelper$5.run (SaveableHelper. java:277)

at org.eclipse.jface.operation.ModalContext.runInCurrentThread (ModalContext. java:4
64)

at org.eclipse.jface.operation.ModalContext.run (ModalContext. java:372)

at org.eclipse.jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)

at org.eclipse.jface.window.ApplicationWindow.run (ApplicationWindow. java:756)

at org.eclipse.ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2649)

at org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelp
er.java:285)

at org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelp
er.java:264)

at org.eclipse.ui.internal.SaveableHelper.saveModels (SaveableHelper.java:207)

at org.eclipse.ui.internal.SaveableHelper.savePart (SaveableHelper. java:144)

at org.eclipse.ui.internal.EditorManager.savePart (EditorManager.java:1399)

at org.eclipse.ui.internal.WorkbenchPage.savePart (WorkbenchPage.java:3416)

at org.eclipse.ui.internal.WorkbenchPage.saveEditor (WorkbenchPage.java:3429)

at org.eclipse.ui.internal.handlers.SaveHandler.execute (SaveHandler. java:54)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy.java:293)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedC
ommand. java:508)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService.j
ava:169)

at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandle
rService. java:241)

at org.eclipse.uil.menus.CommandContributionItem.handleWidgetSelection (CommandContr
ibutionItem. java:829)

at org.eclipse.uil.menus.CommandContributionItem.access$19 (CommandContributionItem.
java:815)

at org.eclipse.uil.menus.CommandContributionItem$5.handleEvent (CommandContributionI
tem. java:805)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench. java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)

at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196
at org.eclipse.

ipseAppLauncher. java:110)
at org.eclipse.

uncher. java:79)
at
at
at
at
core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppla

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
NativeMethodAccessorImpl.invokeO (Native Method)
NativeMethodAccessorImpl.invoke (Unknown Source)
DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

History

#1 - 05/24/2016 02:02 PM - Andreas Miuller

- Category changed from architecture to taxeditor

#2 - 05/24/2016 02:13 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 4.1

- Priority changed from New to Highest

- Severity changed from normal to major

- Tracker changed from feature request to bug

#3 - 06/01/2016 01:23 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#4 - 07/06/2016 03:23 PM - Andreas Miller

- Target version changed from Release 4.2 to Release 4.3

#5 - 09/26/2016 09:56 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#6 - 12/01/2016 02:42 PM - Andreas Miller

- Target version changed from Release 4.4 to Release 4.5

#7 - 01/19/2017 01:32 PM - Andreas Miller

- Target version changed from Release 4.5 to Release 4.6

#8 - 03/11/2017 02:25 AM - Andreas Miiller

- Description updated

- Priority changed from Highest to Priority14

#9 - 07/10/2017 11:16 AM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.9

#10 - 07/21/2017 10:37 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#11 - 09/24/2017 01:56 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#12 - 11/08/2017 11:18 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#13 - 12/05/2017 02:25 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13
#14 - 12/11/2017 01:24 PM - Katja Luther

- Status changed from New to Resolved

with the actual implementation, | could not reproduce this exception anymore. Editing the reference in name editor and bulk editor in parallel works
fine.

#15 - 12/15/2017 12:35 PM - Katja Luther
- Status changed from Resolved to In Progress

- Assignee changed from Andreas Muiller to Katja Luther

mail from Norbert:

Hallo,

nur der Vollstandigkeit halber:

der o.g. bug tritt ibrigens regelméaBig auch dann auf, wenn ich im TaxEditor eine Suche gemacht habe und dann im gesuchten und geéffneten Taxon

(auch nach SchlieBen der Suchergebnisanzeige) irgendetwas abspeichern méchte.

Schoéne Grife,
Norbert

#16 - 01/31/2018 01:06 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#17 - 02/16/2018 10:57 AM - Andreas Miuiller

- Private changed from Yes to No

#18 - 02/16/2018 02:05 PM - Katja Luther

- Target version changed from Release 4.14 to Release 5.0

after playing around with a name opened in name editor and bulk editor | still could reproduce the exception

#19 - 05/17/2018 03:32 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#20 - 06/28/2018 09:05 AM - Katja Luther

- Target version changed from Release 5.1 to Release 5.3

#21 - 09/06/2018 01:23 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#22 - 10/23/2018 10:43 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#23 - 02/19/2019 02:43 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#24 - 02/19/2019 03:21 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#25 - 02/21/2020 10:51 AM - Andreas Kohlbecker

- Tags set to multiple-representations-problem

#26 - 09/03/2022 11:10 AM - Andreas Miiller
- Status changed from In Progress to Feedback

- Target version changed from Reviewed Next Major Release to Release 5.33

This is a very old multiple-representations-problem ticket. Is there a reason why we think that it is still open or can we close the ticket?
If keeping open, do we have enough information to reproduce it?
#27 - 09/12/2022 01:57 PM - Katja Luther
- Status changed from Feedback to Worksforme

- Target version deleted (Release 5.33)

Tried to search with taxon search, open a taxon out of the search and editing different elements, everything works fine.
Also editing the same taxon opened before in bulkeditor works. So | think we can close this ticket.

Files
WalterRefence.png 4.76 KB 05/23/2016 Andreas Muller
